Bug 152694 - cal in util-linux on redhat 7.3 core dumps
cal in util-linux on redhat 7.3 core dumps
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 06:49 EST by David Lawrence
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:24:15 EST
Package: util-linux
Version: util-linux-2.11n-12.7.3
the cal program from redhat 7.3 in util-linux core dumps if you have libsafe 
installed.
Installing a newer version of cal from util-linux-2.11z fixes the problem.
ftp://ftp.kernel.org/pub/linux/utils/util-linux/util-linux-2.11z.tar.bz2
Basically just need updated cal program.



------- Additional Comments From jkeating@j2solutions.net 2004-06-16 19:48:23 ----

What is libsafe?  Is it part of stock RHL?  I can't find libsafe if I do a yum
provides libsafe.



------- Additional Comments From admin@cs.montana.edu 2004-06-17 06:56:41 ----

read about it here:
http://www.research.avayalabs.com/project/libsafe/
blocks c buffer overruns.
Cal is doing a buffer overrun, so it is blocked.




------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-18 17:37:35 ----

We will not be fixing this. Closing.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:24 -------

This bug previously known as bug 1439 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1439
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Unknown severity minor. Setting to default severity "normal".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was admin@cs.montana.edu.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.